iframe
{
    width: 100%;
    height: 100vh;
    border: 0;
    display: block;
}

.mapRoot
{
    position: relative;
}

#wall
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: radial-gradient(circle at 50% 50%, rgba(30, 30, 30, 1) 0%, rgba(0, 0, 0, 1) 100%);
    color: #fff;
    z-index: 2147483647;
    display: none;
    font-family: system-ui, Segoe UI, Arial;
}

#wall .box
{
    box-sizing: border-box;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 640px;
    margin: 0;
    background: #111;
    border: 1px solid rgba(255, 255, 255, .12);
    border-radius: 14px;
    padding: 10px 30px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, .5);
    text-align: center;
}

#wall p
{
    line-height: 1.35;
}

#loading
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: radial-gradient(circle at 50% 50%, rgba(30, 30, 30, 1) 0%, rgba(0, 0, 0, 1) 100%);
    z-index: 2147483647;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    transition: opacity .2s;
    pointer-events: none;
}

/* HTML: <div class="loader"></div> */
.loader {
    width: 2%;
    aspect-ratio: 1;
    border-radius: 50%;
    background: #fff;
    box-shadow: 0 0 0 0 #fff4, inset 0 0 10px 10px #0002;
    animation: l1 1s infinite;
}
@keyframes l1 {
    100% {box-shadow: 0 0 0 30px #fff0, inset 0 0 10px 10px #0002}
}
